package org.dbxml.xml.dom;

/*
 * dbXML License, Version 1.0
 *
 *
 * Copyright (c) 1999-2001 The dbXML Group, L.L.C.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. The end-user documentation included with the redistribution,
 *    if any, must include the following acknowledgment:
 *       "This product includes software developed by
 *        The dbXML Group (http://www.dbxml.com/)."
 *    Alternately, this acknowledgment may appear in the software
 *    itself, if and wherever such third-party acknowledgments normally
 *    appear.
 *
 * 4. The names "dbXML" and "The dbXML Group" must not be used to
 *    endorse or promote products derived from this software without
 *    prior written permission. For written permission, please contact
 *    info@dbxml.com.
 *
 * 5. Products derived from this software may not be called "dbXML",
 *    nor may "dbXML" appear in their name, without prior written
 *    permission of The dbXML Group.
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL THE DBXML GROUP OR ITS CONTRIBUTORS
 * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,
 * OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT
 * OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
 * BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * $Id: DocumentTypeImpl.java,v 1.5 2001/06/06 21:40:30 tom Exp $
 */

import org.w3c.dom.*;

/**
 * DocumentTypeImpl
 */

public final class DocumentTypeImpl extends NodeImpl implements DocumentType {
   public DocumentTypeImpl() {
      super(null, true);
   }

   public short getNodeType() {
      return Node.DOCUMENT_TYPE_NODE;
   }

   /**
    * The name of DTD; i.e., the name immediately following the
    * <code>DOCTYPE</code> keyword.
    */
   public String getName() {
      return nodeName;
   }

   /**
    * A <code>NamedNodeMap</code> containing the general entities, both
    * external and internal, declared in the DTD. Duplicates are discarded.
    * For example in:&lt;!DOCTYPE ex SYSTEM "ex.dtd" [ &lt;!ENTITY foo
    * "foo"&gt; &lt;!ENTITY bar "bar"&gt; &lt;!ENTITY % baz "baz"&gt;]&gt;
    * &lt;ex/&gt;  the interface provides access to <code>foo</code> and
    * <code>bar</code> but not <code>baz</code>. Every node in this map also
    * implements the <code>Entity</code> interface.
    * <br>The DOM Level 1 does not support editing entities, therefore
    * <code>entities</code> cannot be altered in any way.
    */
   public NamedNodeMap getEntities() {
      return null;
   }

   /**
    * A <code>NamedNodeMap</code> containing  the notations declared in the
    * DTD. Duplicates are discarded. Every node in this map also implements
    * the <code>Notation</code> interface.
    * <br>The DOM Level 1 does not support editing notations, therefore
    * <code>notations</code> cannot be altered in any way.
    */
   public NamedNodeMap getNotations() {
      return null;
   }

    /**
     * The public identifier of the external subset.
     * @since DOM Level 2
     */
   public String getPublicId() {
      return null;
   }

    /**
     * The system identifier of the external subset.
     * @since DOM Level 2
     */
   public String getSystemId() {
      return null;
   }

    /**
     * The internal subset as a string.The actual content returned depends on
     * how much information is available to the implementation. This may
     * vary depending on various parameters, including the XML processor
     * used to build the document.
     * @since DOM Level 2
     */
   public String getInternalSubset() {
      return null;
   }
}

